// BWNumberOnlyFormatter.h -- restrict text entry to only numbers

// Copyright (C) 2003 Borkware
// We use the BSD License.  Check out http://borkware.com/license

// You can use this class in a number of ways:
//   * create one at runtime and hook it up to an NSTextField
//   * create one in IB and hook up the formatter outlet from a bunch
//     text fields
//   * drop a number formatter on a text field, then expand it and
//     change the class to BWNumberOnlyFormatter.

// This is intended for only non-negative integers.  It doesn't allow
// '-' or '.' or ','

#import <Foundation/Foundation.h>

@interface BWNumberOnlyFormatter : NSNumberFormatter
{
}


@end // BWNumberOnlyFormatter

/* $Id: BWNumberOnlyFormatter.h,v 1.3 2003/01/02 21:29:20 markd Exp $ */
